Bug 2052654 - Fedora 36 backgrounds not present on release-blocking desktops (GNOME, KDE)
Summary: Fedora 36 backgrounds not present on release-blocking desktops (GNOME, KDE)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: rawhide
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: openqa AcceptedBlocker
Depends On: 2054226 2055105 2055437
Blocks: F36BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2022-02-09 17:50 UTC by Adam Williamson
Modified: 2022-09-27 01:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-23 17:41:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2022-02-09 17:50:55 UTC
Filing this bug now so we can track it as a release blocker and link it from openQA. The Fedora 36 backgrounds are not yet created/packaged, so Fedora 36 images are still using Fedora 35 backgrounds. This is an automatic release blocker:

"The default desktop background in a release-blocking desktop being the same as one of the last two stable releases" - https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers

to resolve this the usual dance of getting a new package added, changing the desktop-backgrounds package to refer to it, and updating some KDE package need to be done.

Comment 1 Fedora Update System 2022-02-16 18:48:17 UTC
FEDORA-2022-ee5041840e has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ee5041840e

Comment 2 Fedora Update System 2022-02-16 18:50:58 UTC
FEDORA-2022-ee5041840e has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2022-02-16 18:53:42 UTC
FEDORA-2022-08d5acc11b has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-08d5acc11b

Comment 4 Fedora Update System 2022-02-16 18:56:57 UTC
FEDORA-2022-08d5acc11b has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Adam Williamson 2022-02-16 22:36:59 UTC
Just submitting the packages is not enough to close this. This tracks the whole process of making sure the backgrounds are present and working on both desktops.

Comment 6 Geraldo Simião 2022-02-18 18:48:55 UTC
Fedora-KDE-Live-x86_64-36-20220218.n.0.iso still with F35 backgrounds

Comment 7 Adam Williamson 2022-02-23 01:05:03 UTC
Current state here is that GNOME and KDE both are not correct. KDE still shows F35 backgrounds; this is because we're waiting on a KDE package update that's needed, that's https://bugzilla.redhat.com/show_bug.cgi?id=2055437 .

GNOME is showing some weird background with avocado-shaped trees: https://openqa.fedoraproject.org/tests/1141981#step/desktop_background/2 . I was figuring this was because of the 'animated backgrounds don't work' bug, but Lukas claimed that one was fixed. I'm downloading a live ISO now to poke about and see exactly what's going on there.

Comment 8 Geraldo Simião 2022-02-23 13:33:02 UTC
Fedora-KDE-Live-x86_64-36-20220222.n.1.iso already have correct f36 background :)

Comment 9 Adam Williamson 2022-02-23 17:41:01 UTC
Ohhh wait, the avocado trees are the real thing? OKAY! Uh, in that case I mean they look great, not weird. :D

I was looking at the 'main' branch of the git repo which just has plain backgrounds, but now I see the actual f36-backgrounds tarball has the avocado trees. OK. So that means we're OK here, I think. Both GNOME and KDE are showing the trees. Even if animation is broken on GNOME, if the correct background is shown unanimated, we're OK so far as this bug goes. So, closing this.

Comment 10 Fedora Update System 2022-09-27 01:45:00 UTC
FEDORA-2022-726c825f4a has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-726c825f4a

Comment 11 Fedora Update System 2022-09-27 01:47:09 UTC
FEDORA-2022-726c825f4a has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.